GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_transport_vtable Struct Reference

`#include <transport_impl.h>`

## Data Fields
size_t | sizeof_stream
int(* | init_stream )(grpc_transport *self, grpc_stream *stream, const void *server_data, grpc_transport_stream_op *initial_op)
void(* | perform_stream_op )(grpc_transport *self, grpc_stream *stream, grpc_transport_stream_op *op)
void(* | perform_op )(grpc_transport *self, grpc_transport_op *op)
void(* | destroy_stream )(grpc_transport *self, grpc_stream *stream)
void(* | destroy )(grpc_transport *self)
char *(* | get_peer )(grpc_transport *self)

## Field Documentation

void(* grpc_transport_vtable::destroy)(grpc_transport *self)

void(* grpc_transport_vtable::destroy_stream)(grpc_transport *self, grpc_stream *stream)

char*(* grpc_transport_vtable::get_peer)(grpc_transport *self)

int(* grpc_transport_vtable::init_stream)(grpc_transport *self, grpc_stream *stream, const void *server_data, grpc_transport_stream_op *initial_op)

void(* grpc_transport_vtable::perform_op)(grpc_transport *self, grpc_transport_op *op)

void(* grpc_transport_vtable::perform_stream_op)(grpc_transport *self, grpc_stream *stream, grpc_transport_stream_op *op)

size_t grpc_transport_vtable::sizeof_stream

The documentation for this struct was generated from the following file:

- src/core/transport/transport_impl.h